Package ghidra.graph.viewer.event.mouse

# Class VisualGraphSatelliteAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin<V,E>
ghidra.graph.viewer.event.mouse.VisualGraphSatelliteAbstractGraphMousePlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

Direct Known Subclasses:
  `VisualGraphSatelliteNavigationGraphMousePlugin`, `VisualGraphSatelliteTranslatingGraphMousePlugin`

public abstract class VisualGraphSatelliteAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends VisualGraphAbstractGraphMousePlugin<V,E>

- ## Field Summary

  ### Fields inherited from class ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin

  `isHandlingMouseEvents, selectedEdge, selectedVertex`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphSatelliteAbstractGraphMousePlugin()`
  `VisualGraphSatelliteAbstractGraphMousePlugin(int selectionModifiers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Shape`
  `getSatelliteLensInSatelliteViewSpace(edu.uci.ics.jung.visualization.VisualizationViewer<V,E> satelliteViewer, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewMaster)`
  `protected boolean`
  `isInSatelliteLensArea(MouseEvent e)`
  `protected void`
  `moveMasterViewerToMousePoint(MouseEvent e)`
  `protected boolean`
  `shouldShowCursor(MouseEvent e)`
  `protected Point`
  `translateSatelliteViewPointToLayoutPoint(edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer, Point2D point)`

  ### Methods inherited from class ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin

  `checkForEdge, checkForVertex, checkModifiers, installCursor, isOverEdge, isOverVertex, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, pickEdge, pickVertex, resetState`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphSatelliteAbstractGraphMousePlugin

    public VisualGraphSatelliteAbstractGraphMousePlugin()

  - ### VisualGraphSatelliteAbstractGraphMousePlugin

    public VisualGraphSatelliteAbstractGraphMousePlugin(int selectionModifiers)

- ## Method Details

  - ### shouldShowCursor

    protected boolean shouldShowCursor(MouseEvent e)
    Overrides:
      `shouldShowCursor` in class `VisualGraphAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### moveMasterViewerToMousePoint

    protected void moveMasterViewerToMousePoint(MouseEvent e)

  - ### isInSatelliteLensArea

    protected boolean isInSatelliteLensArea(MouseEvent e)

  - ### getSatelliteLensInSatelliteViewSpace

    protected Shape getSatelliteLensInSatelliteViewSpace(edu.uci.ics.jung.visualization.VisualizationViewer<V,E> satelliteViewer, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewMaster)

  - ### translateSatelliteViewPointToLayoutPoint

    protected Point translateSatelliteViewPointToLayoutPoint(edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer, Point2D point)